certificates.import
POST
/certificates/import
const url = 'https://example.com/api/certificates/import';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"domainBindingId":"example","certificateChain":"example","privateKey":"example","passphrase":"example","idempotencyKey":"example","causationId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/certificates/import \ --header 'Content-Type: application/json' \ --data '{ "domainBindingId": "example", "certificateChain": "example", "privateKey": "example", "passphrase": "example", "idempotencyKey": "example", "causationId": "example" }'Imports a manual certificate for a domain binding. Public docs: /docs/access/tls/certificates/#certificate-readiness
Request Body required
Section titled “Request Body required ” Media type application/json
object
domainBindingId
required
string
certificateChain
required
string
privateKey
required
string
passphrase
string
idempotencyKey
string
causationId
string
Example generated
{ "domainBindingId": "example", "certificateChain": "example", "privateKey": "example", "passphrase": "example", "idempotencyKey": "example", "causationId": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
certificateId
required
string
attemptId
required
string
Example generated
{ "certificateId": "example", "attemptId": "example"}